Skip to content

Change User Password

Request Description

Request Headers

Parameter NameChinese NameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example

json
{
  "password":"12345678",
  "must_modify":false
}

Request Parameters

Parameter NameChinese NameRequiredTypeDescription
user_idUser IDYesStringTarget user ID
passwordNew PasswordYesString
must_modifyWhether the user must change password on next loginNoBooleanDefault is true

Response Example

Success Example

HTTP/1.1 200 OK

json
{
  "user_id": "20201028102749564-9082-DC8CD2722"
}

Error Example

json
{
  "error_msg": "User not found",
  "error_code": "IDAAS.TENANT.USER.0001"
}

Response Parameters

Parameter NameChinese NameRequiredTypeDescription
user_idUser IDYesString

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400IDAAS.TENANT.USER.0001用户未找到User not foundPlease check whether the user exists
400IDAAS.TENANT.PWD.0001不允许使用历史密码The password is used before, cannot be used againPlease re-enter the password
400IDAAS.TENANT.PWD.0002密码不允许使用用户名的倒写Password cannot username in reverse orderPlease re-enter the password
400IDAAS.TENANT.PWD.0003密码中不允许包含:用户名、手机号、邮箱前缀、姓名拼音Password cannot contain :username, mobile number, email prefix, name in PinYingPlease re-enter the password
400IDAAS.TENANT.PWD.0004密码复杂度低,Your password complexity is low,Please re-enter the password
400IDAAS.TENANT.PWD.0005该密码为弱密码The password is weakPlease re-enter the password
400IDAAS.TENANT.PWD.0006密码中最大字符重复数不能超过Number of character repeat in password should not exceedPlease re-enter the password
400IDAAS.TENANT.PWD.0007密码长度为{0}~{1}个字符The password must contain {0} to {1} charactersPlease re-enter the password

BambooCloud IDaaS Open Platform